Bug 28098 - After running a mono process the shell no longer shows input chars
Summary: After running a mono process the shell no longer shows input chars
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-03-17 06:48 UTC by Dylan Borg
Modified: 2015-03-19 17:36 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Dylan Borg 2015-03-17 06:48:39 UTC
Using the latest mono master (b0e3d25ad0f430e7b510b98443976b8670349415), when I run a mono process my shell's text remains greyed (changed by the code that ran) instead of returning to teh usual default colour. Also the shell no longer shows me the input line as I type in my next command. Only using "reset" brings it back to normal. Is mono keeping some sort of control on the shell?
Comment 1 Alexander Kyte 2015-03-17 11:46:17 UTC
If we emit control characters that are interfering with the shell, this could happen. Are you printing anything in particular? I can't duplicate with a Console.WriteLine test.
Comment 2 Dylan Borg 2015-03-17 19:12:09 UTC
I am using the asp.net 5 command line tools. Using kpm restore does this in particular
Comment 3 Dylan Borg 2015-03-18 14:06:56 UTC
They are changing foreground colors a lot while executing.
Comment 4 Dylan Borg 2015-03-18 14:11:20 UTC
The problem might be here:
https://github.com/mono/mono/commit/5d2973e5351e19d8172794a14380341ca07c6f25
Comment 5 Dylan Borg 2015-03-18 14:32:51 UTC
i conform that reverting that single commit, fixes the issue.
Comment 6 Zoltan Varga 2015-03-19 17:36:57 UTC
Fixed in mono master adccb631770dd80d948ee40f815a287b04e1bd10.